mit-scheme(1)

NAME

mit-scheme - Scheme development environment

SYNOPSIS

mit-scheme [OPTIONS]

DESCRIPTION

MIT/GNU Scheme is an implementation of the Scheme programming language, providing an interpreter, compiler, source-code debugger, integrated Emacs-like editor, and a large runtime library. MIT/GNU Scheme is best suited to programming large applications with a rapid development cycle.

OPTIONS

These are some of the more common command-line options. For full information about available options, see the Texinfo documentation.

--heap NBLOCKS
    Specify the size of the heap in 1024-word blocks. The default heap size is 4096 blocks.

--stack NBLOCKS
    Specify the size of the stack in 1024-word blocks. The default stack size is 128 blocks.

--library PATH
    Specify where to look for Scheme's binary files. PATH should be a colon-separated list of directory names.

--no-init-file
    Don't load the user's init file.

--edit
    Start the text editor automatically.

--eval EXPRESSION...
    Evaluate the specified expressions after starting Scheme.

--load FILENAME...
    Load the specified files after starting Scheme.

--option-summary
    Print a summary of the command-line options, including default values.

FILES

/usr/lib/mit-scheme-<architecture>/
    Support files.

/usr/bin/mit-scheme-<architecture>
    Architecture-specific executable.

/usr/bin/mit-scheme
    Link to architecture-specific executable, to allow multiarch installation. When multiple architectures are installed, use update-alternatives(8) to choose.

ENVIRONMENT VARIABLES

MIT/GNU Scheme refers to a large number of environment variables. See the Texinfo documentation for details.

EXAMPLES

To use the evaluator in a command-line interface, type:

mit-scheme

To start the editor and use it as a front-end to the evaluator, type:

mit-scheme --edit

AUTHORS

MIT/GNU Scheme Team <bug-mit-scheme@gnu.org>

SEE ALSO

The full documentation for MIT/GNU Scheme is maintained as a set of Texinfo manuals. If the info program is properly installed at your site, the command

    info "MIT/GNU Scheme User"

should give you access to the complete User's manual. Programming information is located in the Info topics "MIT/GNU Scheme Ref" and "SOS". Usage of the IMAIL mail reader is located in the "IMAIL" topic.